/*
*/

#ifndef RB_LCD_HC_h
#define RB_LCD_HC_h

#include <Arduino.h>

class RB_LCD_BP {
  public:
    RB_LCD_BP(Stream& dev);
    void cls();
    void setBacklight(byte val);
    void setCurPos(byte r, byte c);
    void writeChar(char val[]);
    void writeChars(char chars[], byte num);
    void setBaud9600();
    void setBaud19200();
    void writeUDC(byte addr, byte udc[]);
    void setContrast(byte val);
    void set16x2();
  private:
    Stream& serial; 
};

#endif
